Bug 1300167 - [RFE] VPC (AWS provider) details in the Cloudforms RESTAPI
[RFE] VPC (AWS provider) details in the Cloudforms RESTAPI
Status: VERIFIED
Product: Red Hat CloudForms Management Engine
Classification: Red Hat
Component: API (Show other bugs)
5.5.0
x86_64 Linux
high Severity high
: GA
: 5.6.0
Assigned To: Gregg Tanzillo
Martin Kourim
ec2:rest
: FutureFeature
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2016-01-20 00:51 EST by Prasad Mukhedkar
Modified: 2018-05-11 17:38 EDT (History)
7 users (show)

See Also:
Fixed In Version: 5.6.0.2
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Prasad Mukhedkar 2016-01-20 00:51:50 EST
Description of problem:

Do we expose VPC (AWS provider) details in the Cloudforms RESTAPI. It doesn't appear to be. Need confirmation on this. 

Please confirm if we can associate a particular vpc while creating VM in AWS through RESTAPI. If yes, what is the input attribute. Is there any sample JSON available for reference? Version: Cloudforms 4.0

If the functionality is not there atm, Are there any plan to include this in the future of cloudforms? RFE required? 


Version-Release number of selected component (if applicable):
Cloudforms 4.0
Comment 10 Tim Wade 2017-03-06 16:49:20 EST
This should have been completed in https://github.com/ManageIQ/manageiq/pull/6388
Comment 12 Martin Kourim 2017-03-09 09:18:11 EST
Verified on 5.6.4.2 using
POST /api/provision_requests
{
    "action": "create",
    "version": "1.1",
    "template_fields": {
        "guid": "36739c86-04af-11e7-9911-00505696be97"
    },
    "vm_fields": {
        "vm_name": "test-vm01",
        "instance_type": 42,
        "request_type": "template",
        "placement_auto": false,
        "cloud_network": 1,
        "cloud_subnet": 2,
        "placement_availability_zone": 3,
        "security_groups": 27,
        "guest_access_key_pair": 65,
        "monitoring": "basic"
    },
    "requester": {
        "user_name": "admin",
        "owner_first_name": "Administrator",
        "owner_last_name": "Administratorovich",
        "owner_email": "admin@example.com",
        "auto_approve": true
    }
}

with result "Vm Provisioned Successfully".


Ids of cloud_subnet, placement_availability_zone and security_groups can be figured from
GET /api/cloud_networks/:id?attributes=security_groups,cloud_subnets
Unfortunately cloud_networks collection is not available in 5.6

Note You need to log in before you can comment on or make changes to this bug.